Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Returns paginated scrobble history with optional filters.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/listening/history \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/listening/history', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/listening/history" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": [ { "track": { "id": 1001, "name": "bad idea right?", "url": "https://www.last.fm/music/Olivia+Rodrigo/_/bad+idea+right%3F", "apple_music_url": null, "preview_url": null }, "artist": { "id": 37, "name": "Olivia Rodrigo" }, "album": { "id": 20, "name": "GUTS", "image": { "url": "https://cdn.rewind.rest/cdn-cgi/image/width=300,height=300,fit=cover,format=auto,quality=85/listening/albums/20/original.jpg?v=1", "thumbhash": "HBkKHQi694WIeIiAh3Z3d2eAd4B3", "dominant_color": "#5c4a6d", "accent_color": "#c4a8d4" } }, "scrobbled_at": "2026-03-18T22:14:04.000Z" } ], "pagination": { "page": 1, "limit": 50, "total": 123867, "total_pages": 2478 } }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 1
1
1 <= x <= 200
50
"2024-01-01T00:00:00.000Z"
"2024-12-31T23:59:59.999Z"
"Radiohead"
"OK Computer"
Scrobble history
Show child attributes